Upstream information

CVE-2021-38578 at MITRE

Description

Existing CommBuffer checks in SmmEntryPoint will not catch underflow when computing BufferSize.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.5
Vector AV:N/AC:L/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 10 7.4
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:C/C:H/I:H/A:H CVSS:3.1/AV:L/AC:H/PR:H/UI:N/S:C/C:H/I:H/A:L
Attack Vector Network Local
Attack Complexity Low High
Privileges Required None High
User Interaction None None
Scope Changed Changed
Confidentiality Impact High High
Integrity Impact High High
Availability Impact High Low
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1196741 [NEW]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE CaaS Platform 4.0
  • ovmf >= 2017+git1510945757.b2662641d5-150000.5.46.1
  • ovmf-tools >= 2017+git1510945757.b2662641d5-150000.5.46.1
  • qemu-ovmf-x86_64 >= 2017+git1510945757.b2662641d5-150000.5.46.1
Patchnames:
SUSE-SUSE-CAASP-4.0-2023-1940
SUSE Enterprise Storage 7.1
  • ovmf >= 202008-150300.10.20.1
  • ovmf-tools >= 202008-150300.10.20.1
  • qemu-ovmf-x86_64 >= 202008-150300.10.20.1
  • qemu-uefi-aarch64 >= 202008-150300.10.20.1
Patchnames:
SUSE-Storage-7.1-2023-1958
SUSE Enterprise Storage 7
  • ovmf >= 201911-150200.7.27.1
  • ovmf-tools >= 201911-150200.7.27.1
  • qemu-ovmf-x86_64 >= 201911-150200.7.27.1
  • qemu-uefi-aarch64 >= 201911-150200.7.27.1
Patchnames:
SUSE-Storage-7-2023-1921
SUSE Liberty Linux 9
  • edk2-ovmf >= 20221207gitfff6d81270b5-9.el9_2
  • edk2-tools >= 20221207gitfff6d81270b5-9.el9_2
  • edk2-tools-doc >= 20221207gitfff6d81270b5-9.el9_2
Patchnames:
RHSA-2023:2165
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS
  • ovmf >= 2017+git1510945757.b2662641d5-150000.5.46.1
  • ovmf-tools >= 2017+git1510945757.b2662641d5-150000.5.46.1
  • qemu-ovmf-x86_64 >= 2017+git1510945757.b2662641d5-150000.5.46.1
  • qemu-uefi-aarch64 >= 2017+git1510945757.b2662641d5-150000.5.46.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP1-LTSS-2023-1940
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS
  • ovmf >= 201911-150200.7.27.1
  • ovmf-tools >= 201911-150200.7.27.1
  • qemu-ovmf-x86_64 >= 201911-150200.7.27.1
  • qemu-uefi-aarch64 >= 201911-150200.7.27.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP2-LTSS-2023-1921
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS
  • ovmf >= 202008-150300.10.20.1
  • ovmf-tools >= 202008-150300.10.20.1
  • qemu-ovmf-x86_64 >= 202008-150300.10.20.1
  • qemu-uefi-aarch64 >= 202008-150300.10.20.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP3-ESPOS-2023-1958
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS
  • ovmf >= 202008-150300.10.20.1
  • ovmf-tools >= 202008-150300.10.20.1
  • qemu-ovmf-x86_64 >= 202008-150300.10.20.1
  • qemu-uefi-aarch64 >= 202008-150300.10.20.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP3-LTSS-2023-1958
SUSE Linux Enterprise High Performance Computing 15 SP4
SUSE Linux Enterprise Module for Server Applications 15 SP4
SUSE Linux Enterprise Server 15 SP4
SUSE Linux Enterprise Server for SAP Applications 15 SP4
SUSE Manager Proxy 4.3
SUSE Manager Retail Branch Server 4.3
SUSE Manager Server 4.3
  • ovmf >= 202202-150400.5.10.1
  • ovmf-tools >= 202202-150400.5.10.1
  • qemu-ovmf-x86_64 >= 202202-150400.5.10.1
  • qemu-uefi-aarch64 >= 202202-150400.5.10.1
Patchnames:
SUSE-SLE-Module-Server-Applications-15-SP4-2023-2234
SUSE Linux Enterprise Micro 5.1
  • qemu-ovmf-x86_64 >= 202008-150300.10.20.1
  • qemu-uefi-aarch64 >= 202008-150300.10.20.1
Patchnames:
SUSE-SUSE-MicroOS-5.1-2023-1958
SUSE Linux Enterprise Micro 5.2
  • qemu-ovmf-x86_64 >= 202008-150300.10.20.1
  • qemu-uefi-aarch64 >= 202008-150300.10.20.1
Patchnames:
SUSE-SUSE-MicroOS-5.2-2023-1958
SUSE Linux Enterprise Micro 5.3
  • qemu-ovmf-x86_64 >= 202202-150400.5.10.1
  • qemu-uefi-aarch64 >= 202202-150400.5.10.1
Patchnames:
SUSE-SLE-Micro-5.3-2023-2234
SUSE Linux Enterprise Micro 5.4
  • qemu-ovmf-x86_64 >= 202202-150400.5.10.1
  • qemu-uefi-aarch64 >= 202202-150400.5.10.1
Patchnames:
SUSE-SLE-Micro-5.4-2023-2234
SUSE Linux Enterprise Real Time 15 SP3
  • ovmf >= 202008-150300.10.20.1
  • ovmf-tools >= 202008-150300.10.20.1
  • qemu-ovmf-x86_64 >= 202008-150300.10.20.1
Patchnames:
SUSE-SLE-Product-RT-15-SP3-2023-1958
SUSE Linux Enterprise Server 12 SP2-BCL
  • ovmf >= 2015+git1462940744.321151f-19.26.1
  • ovmf-tools >= 2015+git1462940744.321151f-19.26.1
  • qemu-ovmf-x86_64 >= 2015+git1462940744.321151f-19.26.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-BCL-2023-1968
SUSE Linux Enterprise Server 12 SP4-ESPOS
  • ovmf >= 2017+git1510945757.b2662641d5-3.41.2
  • ovmf-tools >= 2017+git1510945757.b2662641d5-3.41.2
  • qemu-ovmf-x86_64 >= 2017+git1510945757.b2662641d5-3.41.2
  • qemu-uefi-aarch64 >= 2017+git1510945757.b2662641d5-3.41.2
Patchnames:
SUSE-SLE-SERVER-12-SP4-ESPOS-2023-1941
SUSE Linux Enterprise Server 12 SP4-LTSS
  • ovmf >= 2017+git1510945757.b2662641d5-3.41.2
  • ovmf-tools >= 2017+git1510945757.b2662641d5-3.41.2
  • qemu-ovmf-x86_64 >= 2017+git1510945757.b2662641d5-3.41.2
  • qemu-uefi-aarch64 >= 2017+git1510945757.b2662641d5-3.41.2
Patchnames:
SUSE-SLE-SERVER-12-SP4-LTSS-2023-1941
SUSE Linux Enterprise Server 12 SP5
SUSE Linux Enterprise Server for SAP Applications 12 SP5
  • ovmf >= 2017+git1510945757.b2662641d5-3.41.2
  • ovmf-tools >= 2017+git1510945757.b2662641d5-3.41.2
  • qemu-ovmf-x86_64 >= 2017+git1510945757.b2662641d5-3.41.2
  • qemu-uefi-aarch64 >= 2017+git1510945757.b2662641d5-3.41.2
Patchnames:
SUSE-SLE-SERVER-12-SP5-2023-1941
SUSE Linux Enterprise Server 15 SP1-LTSS
  • ovmf >= 2017+git1510945757.b2662641d5-150000.5.46.1
  • ovmf-tools >= 2017+git1510945757.b2662641d5-150000.5.46.1
  • qemu-ovmf-x86_64 >= 2017+git1510945757.b2662641d5-150000.5.46.1
  • qemu-uefi-aarch64 >= 2017+git1510945757.b2662641d5-150000.5.46.1
Patchnames:
SUSE-SLE-Product-SLES-15-SP1-LTSS-2023-1940
SUSE Linux Enterprise Server 15 SP2-LTSS
  • ovmf >= 201911-150200.7.27.1
  • ovmf-tools >= 201911-150200.7.27.1
  • qemu-ovmf-x86_64 >= 201911-150200.7.27.1
  • qemu-uefi-aarch64 >= 201911-150200.7.27.1
Patchnames:
SUSE-SLE-Product-SLES-15-SP2-LTSS-2023-1921
SUSE Linux Enterprise Server 15 SP3-LTSS
  • ovmf >= 202008-150300.10.20.1
  • ovmf-tools >= 202008-150300.10.20.1
  • qemu-ovmf-x86_64 >= 202008-150300.10.20.1
  • qemu-uefi-aarch64 >= 202008-150300.10.20.1
Patchnames:
SUSE-SLE-Product-SLES-15-SP3-LTSS-2023-1958
SUSE Linux Enterprise Server for SAP Applications 12 SP4
  • ovmf >= 2017+git1510945757.b2662641d5-3.41.2
  • ovmf-tools >= 2017+git1510945757.b2662641d5-3.41.2
  • qemu-ovmf-x86_64 >= 2017+git1510945757.b2662641d5-3.41.2
Patchnames:
SUSE-SLE-SAP-12-SP4-2023-1941
SUSE Linux Enterprise Server for SAP Applications 15 SP1
  • ovmf >= 2017+git1510945757.b2662641d5-150000.5.46.1
  • ovmf-tools >= 2017+git1510945757.b2662641d5-150000.5.46.1
  • qemu-ovmf-x86_64 >= 2017+git1510945757.b2662641d5-150000.5.46.1
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-SP1-2023-1940
SUSE Linux Enterprise Server for SAP Applications 15 SP2
  • ovmf >= 201911-150200.7.27.1
  • ovmf-tools >= 201911-150200.7.27.1
  • qemu-ovmf-x86_64 >= 201911-150200.7.27.1
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-SP2-2023-1921
SUSE Linux Enterprise Server for SAP Applications 15 SP3
  • ovmf >= 202008-150300.10.20.1
  • ovmf-tools >= 202008-150300.10.20.1
  • qemu-ovmf-x86_64 >= 202008-150300.10.20.1
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-SP3-2023-1958
SUSE Manager Proxy 4.2
  • ovmf >= 202008-150300.10.20.1
  • ovmf-tools >= 202008-150300.10.20.1
  • qemu-ovmf-x86_64 >= 202008-150300.10.20.1
Patchnames:
SUSE-SLE-Product-SUSE-Manager-Proxy-4.2-2023-1958
SUSE Manager Retail Branch Server 4.2
  • ovmf >= 202008-150300.10.20.1
  • ovmf-tools >= 202008-150300.10.20.1
  • qemu-ovmf-x86_64 >= 202008-150300.10.20.1
Patchnames:
SUSE-SLE-Product-SUSE-Manager-Retail-Branch-Server-4.2-2023-1958
SUSE Manager Server 4.2
  • ovmf >= 202008-150300.10.20.1
  • ovmf-tools >= 202008-150300.10.20.1
  • qemu-ovmf-x86_64 >= 202008-150300.10.20.1
Patchnames:
SUSE-SLE-Product-SUSE-Manager-Server-4.2-2023-1958
SUSE OpenStack Cloud 9
  • ovmf >= 2017+git1510945757.b2662641d5-3.41.2
  • ovmf-tools >= 2017+git1510945757.b2662641d5-3.41.2
  • qemu-ovmf-x86_64 >= 2017+git1510945757.b2662641d5-3.41.2
Patchnames:
SUSE-OpenStack-Cloud-9-2023-1941
SUSE OpenStack Cloud Crowbar 9
  • ovmf >= 2017+git1510945757.b2662641d5-3.41.2
  • ovmf-tools >= 2017+git1510945757.b2662641d5-3.41.2
  • qemu-ovmf-x86_64 >= 2017+git1510945757.b2662641d5-3.41.2
Patchnames:
SUSE-OpenStack-Cloud-Crowbar-9-2023-1941
openSUSE Leap 15.4
  • ovmf >= 202202-150400.5.10.1
  • ovmf-tools >= 202202-150400.5.10.1
  • qemu-ovmf-ia32 >= 202202-150400.5.10.1
  • qemu-ovmf-x86_64 >= 202202-150400.5.10.1
  • qemu-ovmf-x86_64-debug >= 202202-150400.5.10.1
  • qemu-uefi-aarch32 >= 202202-150400.5.10.1
  • qemu-uefi-aarch64 >= 202202-150400.5.10.1
Patchnames:
openSUSE-SLE-15.4-2023-2234
openSUSE Leap Micro 5.2
  • qemu-ovmf-x86_64 >= 202008-150300.10.20.1
  • qemu-uefi-aarch64 >= 202008-150300.10.20.1
Patchnames:
openSUSE-Leap-Micro-5.2-2023-1958
openSUSE Leap Micro 5.3
  • qemu-ovmf-x86_64 >= 202202-150400.5.10.1
  • qemu-uefi-aarch64 >= 202202-150400.5.10.1
Patchnames:
openSUSE-Leap-Micro-5.3-2023-2234
openSUSE Leap Micro 5.4
  • qemu-ovmf-x86_64 >= 202202-150400.5.10.1
  • qemu-uefi-aarch64 >= 202202-150400.5.10.1
Patchnames:
openSUSE-Leap-Micro-5.4-2023-2234
openSUSE Tumbleweed
  • ovmf >= 202211-1.1
  • ovmf-tools >= 202211-1.1
  • qemu-ovmf-ia32 >= 202211-1.1
  • qemu-ovmf-x86_64 >= 202211-1.1
  • qemu-ovmf-x86_64-debug >= 202211-1.1
  • qemu-uefi-aarch32 >= 202211-1.1
  • qemu-uefi-aarch64 >= 202211-1.1
Patchnames:
openSUSE Tumbleweed GA ovmf-202211-1.1


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Enterprise Storage 7.1 ovmf Released
SUSE Linux Enterprise High Performance Computing 12 SP5 ovmf Released
SUSE Linux Enterprise High Performance Computing 15 SP5 ovmf Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP6 ovmf Already fixed
SUSE Linux Enterprise Micro 5.1 ovmf Released
SUSE Linux Enterprise Micro 5.2 ovmf Released
SUSE Linux Enterprise Micro 5.3 ovmf Released
SUSE Linux Enterprise Micro 5.4 ovmf Released
SUSE Linux Enterprise Micro 5.5 ovmf Already fixed
SUSE Linux Enterprise Micro for Rancher 5.2 ovmf Released
SUSE Linux Enterprise Micro for Rancher 5.3 ovmf Released
SUSE Linux Enterprise Micro for Rancher 5.4 ovmf Released
SUSE Linux Enterprise Module for Package Hub 15 SP5 ovmf Already fixed
SUSE Linux Enterprise Module for Package Hub 15 SP6 ovmf Already fixed
SUSE Linux Enterprise Module for Server Applications 15 SP5 ovmf Already fixed
SUSE Linux Enterprise Module for Server Applications 15 SP6 ovmf Already fixed
SUSE Linux Enterprise Server 12 SP5 ovmf Released
SUSE Linux Enterprise Server 15 SP5 ovmf Already fixed
SUSE Linux Enterprise Server 15 SP6 ovmf Already fixed
SUSE Linux Enterprise Server for SAP Applications 12 SP5 ovmf Released
SUSE Linux Enterprise Server for SAP Applications 15 SP5 ovmf Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 SP6 ovmf Already fixed
SUSE Manager Proxy 4.3 ovmf Released
SUSE Manager Retail Branch Server 4.3 ovmf Released
SUSE Manager Server 4.3 ovmf Released
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise High Performance Computing 15 SP2 ovmf Affected
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS ovmf Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS ovmf Released
SUSE Linux Enterprise High Performance Computing 15 SP3 ovmf Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS ovmf Released
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS ovmf Released
SUSE Linux Enterprise High Performance Computing 15 SP4 ovmf Released
SUSE Linux Enterprise High Performance Computing 15 SP4-ESPOS ovmf Affected
SUSE Linux Enterprise High Performance Computing 15 SP4-LTSS ovmf Affected
SUSE Linux Enterprise Module for Server Applications 15 SP2 ovmf Affected
SUSE Linux Enterprise Module for Server Applications 15 SP3 ovmf Unsupported
SUSE Linux Enterprise Module for Server Applications 15 SP4 ovmf Released
SUSE Linux Enterprise Server 15 SP2 ovmf Affected
SUSE Linux Enterprise Server 15 SP2-LTSS ovmf Released
SUSE Linux Enterprise Server 15 SP3 ovmf Unsupported
SUSE Linux Enterprise Server 15 SP3-LTSS ovmf Released
SUSE Linux Enterprise Server 15 SP4 ovmf Released
SUSE Linux Enterprise Server 15 SP4-LTSS ovmf Affected
SUSE Linux Enterprise Server 15-ESPOS ovmf Unsupported
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 ovmf Unsupported
SUSE Linux Enterprise Server Business Critical Linux 15 SP2 ovmf Unsupported
SUSE Linux Enterprise Server Business Critical Linux 15 SP3 ovmf Unsupported
SUSE Linux Enterprise Server for SAP Applications 15 SP2 ovmf Released
SUSE Linux Enterprise Server for SAP Applications 15 SP3 ovmf Released
SUSE Linux Enterprise Server for SAP Applications 15 SP4 ovmf Released
Products past their end of life and not receiving proactive updates anymore.
HPE Helion OpenStack 8 ovmf Affected
SUSE CaaS Platform 4.0 ovmf Released
SUSE Enterprise Storage 6 ovmf Affected
SUSE Enterprise Storage 7 ovmf Released
SUSE Linux Enterprise Desktop 12 SP4 ovmf Affected
SUSE Linux Enterprise High Performance Computing 15 ovmf Affected
SUSE Linux Enterprise High Performance Computing 15 SP1 ovmf Affected
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS ovmf Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS ovmf Released
SUSE Linux Enterprise High Performance Computing 15-ESPOS ovmf Affected
SUSE Linux Enterprise High Performance Computing 15-LTSS ovmf Unsupported
SUSE Linux Enterprise Micro 5.0 ovmf Unsupported
SUSE Linux Enterprise Module for Package Hub 15 SP4 ovmf Affected
SUSE Linux Enterprise Module for Server Applications 15 ovmf Affected
SUSE Linux Enterprise Module for Server Applications 15 SP1 ovmf Affected
SUSE Linux Enterprise Real Time 15 SP2 ovmf Unsupported
SUSE Linux Enterprise Real Time 15 SP3 ovmf Released
SUSE Linux Enterprise Real Time 15 SP4 ovmf Affected
SUSE Linux Enterprise Server 12 SP2 ovmf Affected
SUSE Linux Enterprise Server 12 SP2-BCL ovmf Released
SUSE Linux Enterprise Server 12 SP2-ESPOS ovmf Affected
SUSE Linux Enterprise Server 12 SP2-LTSS ovmf Affected
SUSE Linux Enterprise Server 12 SP3 ovmf Affected
SUSE Linux Enterprise Server 12 SP3-BCL ovmf Unsupported
SUSE Linux Enterprise Server 12 SP3-ESPOS ovmf Unsupported
SUSE Linux Enterprise Server 12 SP3-LTSS ovmf Unsupported
SUSE Linux Enterprise Server 12 SP4 ovmf Affected
SUSE Linux Enterprise Server 12 SP4-ESPOS ovmf Released
SUSE Linux Enterprise Server 12 SP4-LTSS ovmf Released
SUSE Linux Enterprise Server 15 ovmf Affected
SUSE Linux Enterprise Server 15 SP1 ovmf Affected
SUSE Linux Enterprise Server 15 SP1-BCL ovmf Affected
SUSE Linux Enterprise Server 15 SP1-LTSS ovmf Released
SUSE Linux Enterprise Server 15 SP2-BCL ovmf Affected
SUSE Linux Enterprise Server 15 SP3-BCL ovmf Affected
SUSE Linux Enterprise Server 15-LTSS ovmf Unsupported
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 ovmf Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 ovmf Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 ovmf Unsupported
SUSE Linux Enterprise Server for SAP Applications 12 SP4 ovmf Released
SUSE Linux Enterprise Server for SAP Applications 15 ovmf Unsupported
SUSE Linux Enterprise Server for SAP Applications 15 SP1 ovmf Released
SUSE Manager Proxy 4.0 ovmf Affected
SUSE Manager Proxy 4.1 ovmf Unsupported
SUSE Manager Proxy 4.2 ovmf Released
SUSE Manager Retail Branch Server 4.0 ovmf Affected
SUSE Manager Retail Branch Server 4.1 ovmf Unsupported
SUSE Manager Retail Branch Server 4.2 ovmf Released
SUSE Manager Server 4.0 ovmf Affected
SUSE Manager Server 4.1 ovmf Unsupported
SUSE Manager Server 4.2 ovmf Released
SUSE OpenStack Cloud 7 ovmf Affected
SUSE OpenStack Cloud 8 ovmf Affected
SUSE OpenStack Cloud 9 ovmf Released
SUSE OpenStack Cloud Crowbar 8 ovmf Affected
SUSE OpenStack Cloud Crowbar 9 ovmf Released
openSUSE Leap 15.3 ovmf Released
openSUSE Leap 15.4 ovmf Released
openSUSE Leap Micro 5.3 ovmf Released


SUSE Timeline for this CVE

CVE page created: Fri Mar 4 01:00:25 2022
CVE page last modified: Wed May 22 17:54:16 2024